package cn.wisenergy.mapper;

import cn.wisenergy.model.app.ShopVersion;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 86187
 */
public interface ShopVersionMapper extends BaseMapper<ShopVersion> {
    /**
     * 添加
     *
     * @param shopVersion 版本信息
     * @return 1
     */
    int add(ShopVersion shopVersion);

    /**
     * 编辑
     *
     * @param shopVersion 版本信息
     * @return 1
     */
    int edit(ShopVersion shopVersion);

    /**
     * 根据类型获取版本信息
     *
     * @param type 1：ios 2：安卓
     * @return
     */
    ShopVersion getByType(@Param("type") Integer type);

    List<ShopVersion> getList();
}
